Skip to main content
POST
/
deduction_line_items
Create a deduction line item
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/deduction_line_items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_stub_id": "<id>",
  "deduction_type": "income_tax",
  "custom_tag_assignment": {
    "unit": "percentage",
    "tag_allocations": [
      {
        "tags": [
          "<id>"
        ],
        "value": 100
      }
    ]
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/deduction_line_items"

payload = {
"pay_stub_id": "<id>",
"deduction_type": "income_tax",
"custom_tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pay_stub_id: '<id>',
deduction_type: 'income_tax',
custom_tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
})
};

fetch('https://sandbox.nmbr.co/services/payroll/deduction_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "deduction_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "deduction",
    "is_managed": false,
    "amount": 0,
    "custom_amount": null,
    "managed_amount": null,
    "deduction_type": {
      "id": "<id>",
      "object": "deduction_type",
      "data": {
        "type": "income_tax",
        "label": "Income tax debt",
        "locale": "en"
      },
      "links": {
        "self": "/deduction_types/income_tax"
      }
    },
    "recurrence": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "remittance_account": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/deduction_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_stub_id
string
required
business_preset_id
string
deduction_type
enum<string>

The type of deduction for this line item.

Must be present when business_preset_id is either empty or not set.

Available options:
charitable_donation,
garnishment_order,
income_tax,
other_deduction,
union_dues,
union_dues_post_tax
custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Required range: x <= 99999
title
string | null
Maximum string length: 255
title_translations
object | null

Optional translations for the title property.

remittance_account_id
string
expense_accounting_code_id
string
custom_expense_accounting_code_id
string
liability_accounting_code_id
string
custom_liability_accounting_code_id
string
component_settings
object
external_ref
string
Maximum string length: 255
custom_tag_assignment
object

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("deduction_line_item").

data
Deduction Line Item · object